package cn.freemud.demo.manager.promotion;

import cn.freemud.demo.entities.bo.promotion.GetActivityBO;
import cn.freemud.demo.entities.bo.promotion.ActivityBO;
import cn.freemud.demo.entities.bo.goods.CalculationDiscountBO;
import cn.freemud.demo.entities.bo.promotion.GetCalculationDiscountBO;
import org.springframework.stereotype.Service;

@Service
public class PromotionManager {

    /**
     *
     * @return
     */
    public CalculationDiscountBO calculationDiscount(GetCalculationDiscountBO getCalculationDiscountBO, PromotionService promotionService){

        CalculationDiscountBO calculationDiscountBO = promotionService.calculationDiscount(getCalculationDiscountBO);

        return calculationDiscountBO;

    }

    public ActivityBO queryActivityByType(GetActivityBO getActivityBO, PromotionService promotionService){

        ActivityBO activityBO = promotionService.queryActivityByType(getActivityBO);
        return activityBO;

    }

}
